/******************* (C) COPYRIGHT 2009~2021 holychip **************************
* File Name          : KEY.c
********************************************************************************


*******************************************************************************/
#include "HC89F3541.h"
#include "KEY.h"
#include "LED.h"
#include "BUZZ.h"
#include "HC89F3xx1_SYS.h"
#include "HC89F3xx1_GeneralKey_Touch_Lib_V1.04\HC89F3xx1_GeneralKey_Touch_Lib.h"
//===============================================================================

bit KEY_TIG_INIT_EN_F = 0;       //־λ
bit Key_Long_Flag = 0;           //־λ
bit Key_Short_Flag = 0;          //̰־λ
bit Calibration_Level_Flag = 0;  //У׼ģʽ־λ

unsigned int xdata KEY_LONG_TOUCH = 50;    //Чʱ
unsigned int xdata Key_Count = 0;          //ʱ
unsigned char xdata Level_F = 0;           //У׼
unsigned int xdata OLD_KEY = 0;
//===============================================================================

void KEY_TOUCH()//𳬹һʱΪʱɿΪ̰
{
		if(TouchKeyFlag & 0x0008) //TK3
		{
		  if(OLD_KEY==0)          //ÿγֻЧһ
		  {
			if(Key_Count < KEY_LONG_TOUCH)
			{
				Key_Count++;      //
			}
			else
			{	
				Key_Count = 0;
				                          //
				Key_Long_Flag = 1;        //־λ
				KEY_TIG_INIT_EN_F = 1;	
				//ڴ˼ϳ//
				OLD_KEY = 1;
			}
		  } 
		}
		else//ɿ
		{
			//̰
			if((!Key_Long_Flag)&&(Key_Count>2))
			{
				if(Calibration_Level_Flag)//ֻУ׼ģʽ̰
				{
				  Key_Short_Flag = 1;     //־λ
				}
			}
			Key_Count = 0;//0
			Key_Long_Flag = 0;
			OLD_KEY = 0;
		}
		
	KEY_TIG_INIT();//
	LED_TIG_INIT();//
}
//===============================================================================

void KEY_Handle()//
{
	if(Key_Long_Flag)
	{
		Key_Long_Flag = 0;
		LED_DIS;
		Calibration_Level_Flag = ~Calibration_Level_Flag;//У׼־л
	}
	
	if((Key_Short_Flag)&&(Calibration_Level_Flag))
	{
		Key_Short_Flag = 0;
		LED_DIS;
		Level_F++;
		KEY_TIG_INIT_EN_F = 1;
	}
}
//===============================================================================

void KEY_TIG_INIT(void)//
{
	if(KEY_TIG_INIT_EN_F)
	{
		KEY_TIG_INIT_EN_F = 0;
		PWM3P = SYSCLK_FOSC / 64 / 4000;  		//SYSCLK_FOSC/64/PWM3P = xx  HZ
		BZ_KEY_TIG1;
	}
}


