/******************* (C) COPYRIGHT 2009~2021 holychip **************************
* File Name          : Main.c
* Author             : Touch Team
* Version            : V1.0.0.0
* Date               : 2021/01/05
********************************************************************************/

//================================================================================
#define  ALLOCATE_EXTERN
#include "HC89F3541.h"
#include "HC89F3xx1_SYS.h"
#include "HC89F3xx1_IO_INIT.h"
#include "HC89F3xx1_GeneralKey_Touch_Lib_V1.04\HC89F3xx1_GeneralKey_Touch_Lib.h"
#include "HC89F3xx1_GeneralKey_Touch_Lib_V1.04\HC89F3xx1_GeneralKey_Touch_Filter.h"
#include "HC89F3xx1_GeneralKey_Touch_Lib_V1.04\HC89F3xx1_GeneralKey_Touch_Multibutton.h"
#include "HC89F3xx1_TouchUartDebug_Lib_V1.00\HC89F3xx1_TouchUartDebug_Lib_CFG.h"
#include "HC89F3xx1_TouchUartDebug_Lib_V1.00\HC89F3xx1_TouchUartDebug_Lib.h"
#include "HolyChip_Level_Touch_Lib_V1.00\HolyChip_Level_Touch_Lib.h"
#include "TIMER.h"
#include "KEY.h"
#include "LED.h"
#include "PWM.h"
#include "BUZZ.h"
#include "EEPROM.h"
#include "intrins.h"
//================================================================================


//================================================================================
void main()
{
	SystemInit();						//ʱӳʼ(ĬFosc=Fcpu=16M)
	IO_Init();
	FREQ_CLK = 0x10;					//ָǰϵͳʱ

	TIMER0_INTT();
	PORT_MAP();
	PWM3_INIT();
	
	READ_DATA(0X3C00,6,Empty_Value);    //ȡˮУ׼ֵ
	READ_DATA(0X3D00,6,Full_Value);     //ȡˮУ׼ֵ
	TEST_OK = READ_FLAG(0X3E00);        //ȡУ׼־λ
	
	LEVEL_INIT();                       //ˮλʼ

	EA = 1;
	CTK_Init();							//CTKʼ			
	
	
	
	
#if TouchUartDebugLib_SW
	CTK_TouchUartDebug_Init();			//ڵԳʼ
#endif

	while(1)
	{		
		if(OneCycleScanDone)
		{
			TouchRawDataFilter();		//RawData˲ʹ˲HC89F3xx1_GeneralKey_Touch_Filter.h˲ȣ˺ɾ
			Touch_Signal_Handle();
			TouchMultibuttonHandle();	//ǿڵͬʱЧôźǿİжΪЧЧ
			OneCycleScanDone = 0;

#if TouchUartDebugLib_SW
	ECTK = 0; 							//ڵԷǰֹECTKٴ
	CTK_TouchUartDebug();
	ECTK = 1;
#endif
		}		
		if(T0_10MS_F)//10msһΰ
		{
			T0_10MS_F = 0;
			KEY_TOUCH();      //̰
		    KEY_Handle();	
			KEY_LED_PROCESS();//ʾ	
		}
			
		if(TEST_OK)//У׼
		{
	  	  LEVEL_HANDLE();//ʵʱˮλ
		  Display_Process();
		}		
	}
	
}



