#ifndef __LED_H__
#define __LED_H__

#define LED1 P0_5
#define LED2 P0_7 
#define LED3 P1_1 
#define LED4 P1_3 
#define LED5 P1_4 
#define LED6 P1_6 


#define LED7 P2_5
#define LED8 P2_6 

#define LED_DIS (LED1=0,LED2=0,LED3=0,LED4=0,LED5=0,LED6=0,LED7=0,LED8=0)
#define LED_TURN (LED1=~LED1,LED2=~LED2,LED3=~LED3,LED4=~LED4,LED5=~LED5,LED6=~LED6,LED7=~LED7,LED8=~LED8)

#define TK4 ((uint)0X01 << 4)
#define TK6 ((uint)0X01 << 6)
#define TK8 ((uint)0X01 << 8)
#define TK10 ((uint)0X01 << 10)
#define TK13 ((uint)0X01 << 13)
#define TK15 ((uint)0X01 << 15)

extern bit Wait_Flag;
extern bit TEST_OK;
extern bit MODE_A;
extern bit MODE_B;
extern bit BUZZ_FLAG;
extern bit LED_TIG_INIT_EN_F;
extern unsigned char xdata LED_SCINTILLATION_Cnt;

extern void KEY_LED_PROCESS();
extern void LED_TIG_INIT(void);
extern void Display_Process();

#endif /* __LED_H__ */