#ifndef __PWM_H__
#define __PWM_H__

#define P0MAP      0x00
#define P1MAP      0x10
#define P2MAP      0x20
#define P3MAP      0x30

#define PINNUM0    0x00
#define PINNUM1    0x01
#define PINNUM2    0x02
#define PINNUM3    0x03
#define PINNUM4    0x04
#define PINNUM5    0x05
#define PINNUM6    0x06
#define PINNUM7    0x07

#define PMAP(port_num, pin_num)						((P##port_num##MAP) | (PINNUM##pin_num))

#define	PWM3_On()		(PWM3C	|= bmPWM3OEN)
#define	PWM3_Off()	(PWM3C	&= ~bmPWM3OEN)

extern void PWM3_INIT(void);
extern void PORT_MAP(void);

#endif /* __PWM_H__ */