/******************* (C) COPYRIGHT 2009~2021 holychip **************************
* File Name          : TIMER.c
********************************************************************************


*******************************************************************************/
#include "HC89F3541.h"
#include "TIMER.h"
#include "BUZZ.h"
#include "KEY.h"
#include "LED.h"
//===============================================================================

bit	T0_10MS_F = 0;//10ms־λ
unsigned char xdata T_10MS_COUNT = 0;//
unsigned int xdata Wait_Cnt = 0;
//===============================================================================

void TIMER0_INTT(void)//ʱ0ʼ
{
	TCON1 |= 0X01;			//1FP
	TMOD  |= 0X00;			//16λԶװطʽ
	TH0 = 0X83;
	TL0 = 0X00;
	ET0 = 1;
	TR0 = 1;
}
//===============================================================================

void ISR_Timer0(void)     interrupt TIMER0_VECTOR
{
  if(++T_10MS_COUNT  >= 10)
  {
    T_10MS_COUNT = 0;
    T0_10MS_F = 1;     //10ms־λ
	 
	if(Wait_Flag)
	{
	   Wait_Cnt++;
	   if(Wait_Cnt>=2000)
	   {
		  Wait_Cnt = 0; 
		  Wait_Flag = 0;
		  Calibration_Level_Flag = 0;
		  LED_DIS;
	   }	   
	}
  }
   BZ_Driver();
}